- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
tbb::internal::thread_closure_1< F, X > Struct Template Reference

Structure used to pass user function with 1 argument to thread. More...

`#include <tbb_thread.h>`

Inheritance diagram for tbb::internal::thread_closure_1< F, X >:

## Public Member Functions
| thread_closure_1 (const F &f, const X &x)
Public Member Functions inherited from tbb::internal::thread_closure_base
void * | operator new (size_t size)
void | operator delete (void *ptr)

## Static Public Member Functions
static __TBB_NATIVE_THREAD_ROUTINE | start_routine (void *c)
| Routine passed to Windows's _beginthreadex by thread::internal_start() inside tbb.dll.

## Public Attributes
F | function
X | arg1

## Detailed Description

### template<class F, class X>
struct tbb::internal::thread_closure_1< F, X >

Structure used to pass user function with 1 argument to thread.

The documentation for this struct was generated from the following file:

- tbb_thread.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.